Bug 246120 - [NEW PORT] games/libretro-fmsx: FMSX - MSX Emulator
Summary: [NEW PORT] games/libretro-fmsx: FMSX - MSX Emulator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Loïc Bartoletti
URL: https://github.com/libretro/fmsx-libr...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-02 11:10 UTC by Daniel Menelkir
Modified: 2020-05-20 05:20 UTC (History)
2 users (show)

See Also:
menelkir: maintainer-feedback+


Attachments
libretro-fmsx.diff (2.60 KB, patch)
2020-05-02 11:10 UTC, Daniel Menelkir
menelkir: maintainer-approval+
Details | Diff
libretro-fmsx-v2.diff (2.60 KB, patch)
2020-05-05 23:13 UTC, Daniel Menelkir
no flags Details | Diff
lobretro-fmsx-v3.diff (2.59 KB, patch)
2020-05-08 06:59 UTC, Daniel Menelkir
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Menelkir 2020-05-02 11:10:21 UTC
Created attachment 214024 [details]
libretro-fmsx.diff

This is a libretro core for fMSX, one of the oldest MSX1/2/2+ Computers emulators.
Comment 1 Daniel Menelkir 2020-05-05 23:13:04 UTC
Created attachment 214180 [details]
libretro-fmsx-v2.diff

Changed the PORTVERSION and do-install to match bug #246067
Comment 2 Loïc Bartoletti freebsd_committer 2020-05-08 06:24:41 UTC
Thanks. What is ${COREDIR}? It's empty for me, better to remove it.
Comment 3 Daniel Menelkir 2020-05-08 06:59:10 UTC
Created attachment 214263 [details]
lobretro-fmsx-v3.diff

Removed ${COREDIR} variable.
Comment 4 commit-hook freebsd_committer 2020-05-20 05:14:30 UTC
A commit references this bug:

Author: lbartoletti
Date: Wed May 20 05:13:39 UTC 2020
New revision: 535969
URL: https://svnweb.freebsd.org/changeset/ports/535969

Log:
  [NEW PORT] games/libretro-fmsx: FMSX - MSX Emulator

  This is a libretro core for fMSX, one of the oldest MSX1/2/2+ Computers emulators.

  PR:		246120
  Submitted by:	menelkir@itroll.org
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D24865

Changes:
  head/games/Makefile
  head/games/libretro-fmsx/
  head/games/libretro-fmsx/Makefile
  head/games/libretro-fmsx/distinfo
  head/games/libretro-fmsx/pkg-descr
Comment 5 Loïc Bartoletti freebsd_committer 2020-05-20 05:20:07 UTC
Committed, thanks!